class I18nVariable
  
  include Mongoid::Document
  include Mongoid::Timestamps
  
  field :key
  field :document_class, :type => String
  field :parent_id, :type => BSON::ObjectId, :index => true
  
  belongs_to :language_value, polymorphic: true
  
  def method_missing(field)
    self[field]
  end
  
end
